detekt-api
1.21.0-RC2

# Notification

interface Notification
Content copied to clipboard

Any kind of notification which should be printed to the console. For example when using the formatting rule set, any change to your kotlin file is a notification.

## Types

Level
Link copied to clipboard
enum Level : Enum < Notification.Level >
Content copied to clipboard

Level of severity of the notification

## Properties

isError
Link copied to clipboard
open val isError : Boolean
Content copied to clipboard
level
Link copied to clipboard
abstract val level : Notification.Level
Content copied to clipboard
message
Link copied to clipboard
abstract val message : String
Content copied to clipboard

## Inheritors

SimpleNotification
Link copied to clipboard